Summary: Transforms bitmaps into vector graphics
Name: potrace
Version: 1.11
Release: 1
Copyright: GNU Public License
Group: Applications/Graphics
Source0: http://potrace.sourceforge.net/download/%{name}-%{version}.tar.gz
URL: http://potrace.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: zlib-devel
Requires: zlib

%description
potrace is a utility for tracing a bitmap, which means, transforming a
bitmap into a smooth, scalable image.  The input is a portable bitmap
(PBM), and the default output is an encapsulated PostScript file
(EPS). A typical use is to create EPS files from scanned data, such as
company or university logos, handwritten notes, etc.  The resulting
image is not "jaggy" like a bitmap, but smooth, and it can be scaled
to any resolution. 


%prep
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%setup -q


%build
export CC=xlc
export CFLAGS="-O2"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make install DESTDIR=${RPM_BUILD_ROOT}
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Thu Feb 21 2013 Michael Perzl <michael@perzl.org> - 1.11-1
- updated to version v1.11

* Sat Aug 20 2011 Michael Perzl <michael@perzl.org> - 1.10-1
- updated to version v1.10

* Wed Dec 22 2010 Michael Perzl <michael@perzl.org> - 1.9-1
- updated to version v1.9

* Thu Aug 16 2007 Michael Perzl <michael@perzl.org> - 1.8-1
- updated to version v1.8

* Wed Dec 28 2005 Michael Perzl <michael@perzl.org> - 1.7-1
- first version for AIX V5.1 and higher

* Mon Aug 18 2003 Peter Selinger <selinger@users.sourceforge.net>
- corrected Summary and Group information
